const fs = require('fs');

const Markup = require('telegraf/markup');
const Extra = require('telegraf/extra');

//=== MAIN MODULE CONFIG

module.exports = function(){
	return {
	name : "Timer",
	key : "tmr",
	version : 0.1,
	requirements : {
		gps: false,
	},
	text : [
		{
			trigger : ["/timer"],
			public : true, 
			desc : {0:"Lists Timer Options",
					1:"Liste les options de timer",
			},
			requirements : (bot,event,message)=>{ 
				return new Promise((resolve, reject)=>{
					if (message.from.id != message.chat.id)
						return reject(410);
					return resolve(200);
				});
			},
			action : (bot,event,message)=>{
				return event.reply("pong");
			}
		},
	],
	reply : [],
	regex : [],
	media : [],
	callback : [
		{
			trigger : '...',
			requirements : (bot,event,message)=>{ 
				return new Promise((resolve, reject)=>{
					return resolve(200);
				});
			},
			action : (bot,event,data)=>{
				return event.reply("Beep");
			}
		},
	],
	inline : [],
	new_member : (bot,event)=>{},
	weburl : [],
	cron : []
}
	
}